// SPDX-FileCopyrightText: Politik im Blick developers
// SPDX-FileCopyrightText: Wolfgang Silbermayr <wolfgang@silbermayr.at>
//
// SPDX-License-Identifier: AGPL-3.0-or-later OR EUPL-1.2

use http_request_derive_client_reqwest::ReqwestClientError;
use pib_client_requests::get::Request;
use pib_service_api_types::get::ResponseBody;

use crate::Client;

impl Client {
    pub async fn get(&self) -> Result<ResponseBody, ReqwestClientError> {
        let response = self.execute(Request).await?;
        Ok(response.0)
    }
}
